rb_syscolors.d(1m)

NAME
rb_syscolors.d - trace Ruby method flow plus syscalls, in color.

SYNOPSIS
rb_syscolors.d { -p PID | -c cmd }

DESCRIPTION
This watches Ruby method entries and returns, and indents child function calls. Filename and method names are printed if available.

OS
Any

STABILITY
Evolving - uses the DTrace Ruby provider, which may change as additional features are introduced. Check Ruby/Readme to see what version these scripts are based on.

EXAMPLES

Default output,
    # rb_syscolors.d

FIELDS

C   CPU-id

PID Process ID

DELTA(us)
    Elapsed time from previous line to this line

FILE
    Filename of the Ruby program

LINE
    Line number of filename

TYPE
    Type of call (method/line/syscall)

NAME
    Ruby method or syscall name

WARNING
Watch the first column carefully, it prints the CPU-id. If it changes, then it is very likely that the output has been shuffled.

DOCUMENTATION
See the DTraceToolkit for further documentation under the Examples, Notes and Docs directories. The example files may be especially useful as they aim to demonstrate how to interpret the output.

EXIT
rb_syscolors.d will run until Ctrl-C is hit.

AUTHOR
Brendan Gregg [CA, USA]

SEE ALSO
dtrace(1M)